Subject: Re: [rtcweb] Stephan Wenger's choices

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Thu, 2 Jan 2014 11:12:39 +0000

1)	My original mail was sent "over a shitty mobile connection" but it was sent using the normal screen of my laptop, not "on a 4 inch screen". Use of mobile is dependent on circumstances of the user, and does not predicate what will be used to render to the user.

2)	You are making the assumption that communication mechanism attempted by the user is the best available, and that the way you interpret the media to be used is the best usage of the bandwidth for that purpose. When the only description supplied by the user for that media is "video", that encompasses a large range of possible use cases and it is inadvisable to assume that any video will do. The signalling does not indicate that there is a deaf person in the car with me, and therefore you should not assume the use case has to encompass that unless I explicitly say so. Until I actually explicitly signal something, my expectations could be at one extreme or the other.

I stand by my original comment.

Regards

Keith

> -----Original Message-----
> From: rtcweb [mailto:[email-masked]] On Behalf Of Ron
> Sent: 30 December 2013 20:49
> To: [email-masked]
> Subject: Re: [rtcweb] Stephan Wenger's choices
> 
> On Mon, Dec 30, 2013 at 07:42:54PM +0000, DRAGE, Keith (Keith) wrote:
> > A lot of this discussion seems to be predicated on the 
> assumption that 
> > if you cannot have the video that you want, then any video 
> is acceptable.
> 
> You say that like you think "if I can't have the Ferrari that 
> I want, or the ability to always use it everywhere, then I'd 
> rather you just chop my legs off".
> 
> > Further it all seems to assume that we can have a lower order codec 
> > with more bandwidth, whereas when one gets down bandwidth 
> constraints 
> > which mobile introduces, that does not necessarily apply.
> > 
> > This may be fine where one has two talking heads as a 
> videostream, but 
> > when it is two doctors discussing my latest scan, where the video 
> > stream is a representation of that scan, it would seem to be less 
> > acceptable to the doctors, and indeed to me.
> 
> If you're going to a doctor, who is going to diagnose you on 
> a 4 inch screen over a shitty mobile connection, then you 
> might get your first wish regardless of which codec is used!
> 
> What you need here is a better doctor, not a better worst 
> case fallback codec.
> 
> 
> > So an assumption that any video will do in the absence of a higher 
> > order codec seems to me to be a false assumption for a 
> number of use 
> > cases. Given that this is the predicate for an MTI option 
> that would 
> > include a lower order codec for ensuring compatibility, the 
> argument would seem partly flawed.
> 
> So when you've crashed your Ferrari, and there's blood 
> spurting out of your neck, you'd rather the people your deaf 
> and mute passenger has called for help would be totally blind 
> as to what is going on and how to help you, than to have even 
> some image they could show them, and be able to legibly sign 
> the details of where you are and what help you need?
> 
> But I'm pretty sure there's lots of far less critical cases 
> involving far fewer doctors, where being able to see 
> _something_ is always going to trump being able to see nothing at all.
> 
> 
> > I also suspect that in the two talking heads scenarios, where the 
> > bandwidth required for the video starts impacting the 
> quality of the 
> > audio, then people will turn the video off; I know I have 
> done this on Skype in the past.
> 
> And nobody is talking about taking that ability away from you.
> 
> We're talking about giving people the ability to make that 
> decision for themselves, instead of ruling it out for no 
> better reason than commercially tainted artificial snobbery, 
> which considers video to be a premium product that only users 
> prepared to be fleeced should enjoy.
> 
> There is absolutely no technical reason that we cannot make 
> video available to almost everybody.  And excellent video 
> available to the people with the necessary means to avail 
> themselves of upgrading to it.
> 
> There's only people saying "oh no, we can't let people have 
> that", it doesn't fit with Our Current Business Model.  
> (despite the fact we have shipped H.261 for years in 
> commercial products we made lots of money on)
> 
> 
> I quite agree with Eric, that we don't need to go any lower 
> than we do absolutely need to.  If I thought people might 
> agree on Theora, I'd be talking about it - but even though 
> Microsoft seem to be not worried at all about its IPR status, 
> enough to ship Theora video on Bing, I still fear it will 
> suffer from the same twofaced FUD that VP8 has.
> 
> So instead we are talking about the one and only codec that 
> has both surprisingly acceptable quality for its age, and 
> consensus of no IPR showstoppers.  The relative fidelity of 
> H.261 for video far exceeds the relative fidelity of G.711 for speech.
> 
> And nobody seems to be able to find an objective technical 
> reason to rule it out.  If we remember this isn't a vote, 
> that would seem to be the big thing that the people opposing 
> this really need to find if they actually want their 
> objections to hold any weight at all.
> 
>   Ron
> 
> 
> > > -----Original Message-----
> > > From: rtcweb [mailto:[email-masked]] On Behalf Of Ron
> > > Sent: 28 December 2013 21:24
> > > To: [email-masked]
> > > Subject: Re: [rtcweb] Stephan Wenger's choices
> > > 
> > > On Sat, Dec 28, 2013 at 11:20:28AM -0800, Eric Rescorla wrote:
> > > > 
> > > > Even if we mandate H.261, there is a reasonable chance of their 
> > > > expectations being thwarted, since they might well 
> expect that the 
> > > > quality of video would be comparable, yet it will not.
> > > 
> > > You don't get much more thwarted than "no video for you", 
> the only 
> > > direction from there is up.  Given a device with a ~4 
> inch screen, 
> > > viewed from a foot or two away, possibly in open daylight, maybe 
> > > even while bouncing around on a bus or train or while 
> walking, maybe 
> > > with a bunch of scratches on the screen or a plastic 
> cover, there's 
> > > a fair bet that a significant percentage of viewers 
> wouldn't be able 
> > > to pick the difference between it and a perfectly lossless image 
> > > stream anyway.
> > > 
> > > Is it going to be worse than NTSC television?  How many 
> people were 
> > > happy enough to keep buying and watching those?
> > > How many still would if it was all that they could get?
> > > 
> > > 
> > > Sure it might not look optimal on your studio monitor, or 
> your floor 
> > > to ceiling boardroom conference screen, or to eyes that 
> have spent 
> > > years picking out visual artifacts from lossy codecs.  
> But we're not 
> > > ruling out those people being able to use state of the art codecs 
> > > that have no hope at all of running on minimal devices.  We're 
> > > looking for a baseline that poses the minimal challenge to 
> > > everything being able to support it, for the broadest scope of 
> > > interoperability.
> > > 
> > > Things that can will always negotiate up from that.  What is the 
> > > technical reason for setting the lowest bar so high that 
> many of the 
> > > supposed target devices will never be able to reach it?  
> There would 
> > > seem to be few real barriers to making a more inclusive 
> choice here, 
> > > so why don't we just do that and move on?
> > > 
> > >   Ron
> > > 
> > > 
> > > _______________________________________________
> > > rtcweb mailing list
> > > [email-masked]
> > > https://www.ietf.org/mailman/listinfo/rtcweb
> > > 
> _______________________________________________
> rtcweb mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtcweb
>

---

From: Ron <[email-masked]>
Date: Fri, 3 Jan 2014 02:01:33 +1030

On Thu, Jan 02, 2014 at 11:12:39AM +0000, DRAGE, Keith (Keith) wrote:
> 1)	My original mail was sent "over a shitty mobile connection" but it was
> sent using the normal screen of my laptop, not "on a 4 inch screen". Use of
> mobile is dependent on circumstances of the user, and does not predicate what
> will be used to render to the user.

I'm not sure if that explains where the missing logic might have dropped out,
but congratulations on being able to send some text with it just the same!

> 2)	You are making the assumption that communication mechanism attempted by
> the user is the best available, and that the way you interpret the media to
> be used is the best usage of the bandwidth for that purpose. When the only
> description supplied by the user for that media is "video", that encompasses
> a large range of possible use cases and it is inadvisable to assume that any
> video will do. The signalling does not indicate that there is a deaf person
> in the car with me, and therefore you should not assume the use case has to
> encompass that unless I explicitly say so. Until I actually explicitly signal
> something, my expectations could be at one extreme or the other.

I don't know what kind of crazy windmill system you might be imagining to
tilt at here, but I thought two things were plainly self evident in all of
the discussions here.

 - Codecs can be negotiated (with whatever algorithm may be appropriate).
 - Nothing gets enabled without user consent.

> I stand by my original comment.

I think it fell down.  If there was a point to it that you want to be
understood, you might need to prop it back up again with some sturdier
and more coherent logic.

If your point is that "some codecs are better than others in certain
circumstances", then sure, unlike for audio where we have Opus that
dominates right across the board, for video this currently is still
the case.  And that's yet another reason to have a broader range to
select from at negotiation time.

It's not an argument for why a very simple, low complexity, maximally
available codec isn't suitable as the MTI fallback of last resort.
And it's not an argument for why we should tell people that might be
able to use only that codec on particular devices that they'd be
"better off with no video at all".

In the context of your original comment, that would be be like _us_
telling _you_ that you'd be better off without any legs.  Or that
you'd be better off without any internet connection at all rather
than what you're suffering with now.  Personally I think it would
be rudely presumptuous of us to make such assumptions when there is
no compelling technical reason to disenfranchise people in this way.

  Ron